#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
%define		nfsclient	nfs-client
%define		_sbindir	/sbin
#-----------------------------------------------------------------------------
Name		:	rpcbind
Version		:	1.2.5
Release		:	17.2.0.rel%{?dist}
Summary		:	Universal Addresses to RPC Program Number Mapper
Group		:	System Environment/Daemon

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL
Url		:	https://downloads.sourceforge.net/rpcbind

Source0		:	%{name}-%{version}.tar.bz2
Source1		:	%{name}-ok_addon.tar.gz
Patch0		:	%{name}-%{version}-vulnerability_fixes-1.patch


#-----------------------------------------------------------------------------
BuildRequires	:	libtirpc

Requires	:	lfs-bootscripts
Requires	:	chkconfig

#-----------------------------------------------------------------------------
%description
The rpcbind utility is a server that converts RPC program numbers into
universal addresses.  It must be running on the host to be able to make
RPC calls on a server on that machine.

%prep
%setup -q
%patch0 -p1

%build

tar xf %{SOURCE1}

sed -i							\
   -e "/servname/s:rpcbind:sunrpc:"			\
   src/rpcbind.c

autoconf -i -f  
./configure						\
	--prefix=%{_prefix}				\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--sharedstatedir=%{_var}/lib			\
	--localstatedir=%{_var}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--with-rpcuser=root				\
	--enable-warmstarts 				\
	--without-systemdsystemunitdir			\

#compiling
%define _smp_mflags -j %(/usr/bin/getconf _NPROCESSORS_ONLN)

%{__make} -s %{?_smp_mflags}


%clean
%{__rm} -rf %{buildroot}

#installing program
%install

%{__rm} -rf %{buildroot}

%{__make} DESTDIR="%{buildroot}" install 

%{__mkdir_p} %{buildroot}%{_sysconfdir}/rc.d/init.d
%{__cp} -a 						\
	%{name}-ok_addon/*					\
	%{buildroot}%{_sysconfdir}/rc.d/init.d

#after upgrade or remove
%preun
if [ "$1" = 0 ]; then
  %{_sysconfdir}/rc.d/init.d/%{name} stop > /dev/null 2>&1 || :
  %{_sbindir}/chkconfig --del %{name}
  (
  /bin/echo -n "%{name}-%{version} has been fully removed on "; date
  ) > %{_var}/log/README-%{name}-removed
  fi

%post
/usr/sbin/ldconfig
%{_sbindir}/chkconfig --add %{name}
%{_sysconfdir}/rc.d/init.d/%{name} condrestart > /dev/null 2>&1 || :

%postun
/usr/sbin/ldconfig

%files			
%defattr(-, root,root, 0755)

%doc AUTHORS COPYING README NEWS 
%attr (0754,root,root) %{_sysconfdir}/rc.d/init.d/%{name}
%{_sbindir}/%{name}
%{_bindir}/rpcinfo
%{_mandir}/man8/*.8.gz


%changelog
